Bug 888206 - ax25-apps included non-free source file.
ax25-apps included non-free source file.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ax25-apps (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-12-18 04:40 EST by mejiko
Modified: 2013-08-05 13:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: ax25-apps-0.0.6-12.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-06 21:40:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 630893 None None None Never
GNU Savannah 33558 None None None Never

  None (edit)
Description mejiko 2012-12-18 04:40:55 EST
Hello.

ax25-apps included non free software.
License is "non-commercial use" only. 
Its non-free.

Files: (Source RPM is: ax25-apps-0.0.6-9.fc17.src.rpm)

ax25-apps-0.0.6/listen/rip_dump.c


Suggests:

1. Remove non-free files.
2. Replace to Fedora-Free file.
3. Remove Fedora repos.

Thanks.


Reference:

http://libreplanet.org/wiki/List_of_software_that_does_not_respect_the_Free_System_Distribution_Guidelines#Ax25-apps

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
Comment 1 mejiko 2012-12-18 04:41:47 EST
Blocking FE-Legal, This is license problem.
Comment 2 mejiko 2012-12-18 05:56:12 EST
I found typo. (in Description) 

incorrent: ax25-apps-0.0.6/listen/rip_dump.c

corrent: ax25-apps-0.0.6/listen/ripdump.c

Sorry.
Comment 3 eric@christensenplace.us 2012-12-18 22:12:19 EST
According to upstream, the file has been re-licensed to permit commercial use and distribution as of 21 May 2012.
Comment 4 eric@christensenplace.us 2012-12-18 22:13:16 EST
--- ax25-apps/listen/ripdump.c	2001/09/12 13:18:44	1.2
+++ ax25-apps/listen/ripdump.c	2012/05/21 11:25:40	1.3
@@ -2,8 +2,29 @@
  * Copyright 1991 Phil Karn, KA9Q
  *
  *  Changes Copyright (c) 1993 Jeff White - N0POY, All Rights Reserved.
- *  Permission granted for non-commercial copying and use, provided
- *  this notice is retained.
+ *    Redistribution and use in source and binary forms, with or without
+ *    modification, are permitted provided that the following conditions
+ *    are met:
+ *    1. Redistributions of source code must retain the above copyright
+ *       notice, this list of conditions and the following disclaimer.
+ *    2. Redistributions in binary form must reproduce the above copyright
+ *       notice, this list of conditions and the following disclaimer in the
+ *       documentation and/or other materials provided with the distribution.
+ *    3. Neither the name of the University nor the names of its contributors
+ *       may be used to endorse or promote products derived from this software
+ *       without specific prior written permission.
+ *
+ *    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER(S) ``AS IS'' AND ANY
+ *    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ *    IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ *    PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDER(S) BE
+ *    LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ *    CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ *    SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+ *    BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+ *    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+ *    OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+ *    EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * Rehack for RIP-2 (RFC1388) by N0POY 4/1993
  *
Comment 5 Fedora Update System 2012-12-18 23:04:12 EST
ax25-apps-0.0.6-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ax25-apps-0.0.6-12.fc18
Comment 6 Fedora Update System 2012-12-18 23:06:00 EST
ax25-apps-0.0.6-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ax25-apps-0.0.6-12.fc17
Comment 7 Fedora Update System 2012-12-18 23:29:08 EST
ax25-apps-0.0.6-12.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ax25-apps-0.0.6-12.fc16
Comment 8 Randall "Randy" Berry 2012-12-18 23:33:46 EST
Source in question released as BSD.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630893

Source patched to include BSD license. Added BSD license text.

Submitted updates for Rawhide, F18, F17 and F16.
Comment 9 Fedora Update System 2012-12-19 17:37:35 EST
Package ax25-apps-0.0.6-12.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ax25-apps-0.0.6-12.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20645/ax25-apps-0.0.6-12.fc18
then log in and leave karma (feedback).
Comment 10 Fedora End Of Life 2013-07-04 03:46:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Eric Christensen 2013-07-05 10:48:34 EDT
The fix doesn't appear to have been pushed to the repos.
Comment 12 Fedora Update System 2013-07-06 21:40:32 EDT
ax25-apps-0.0.6-12.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-08-05 13:32:23 EDT
ax25-apps-0.0.6-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ax25-apps-0.0.6-17.fc19

Note You need to log in before you can comment on or make changes to this bug.